fsg_seg_s Struct Reference

Segmentation "iterator" for FSG history. More...

`#include <fsg_search_internal.h>`

## Data Fields

ps_seg_t | base
| Base structure.
fsg_hist_entry_t ** | hist
| Sequence of history entries.
int16 | n_hist
| Number of history entries.
int16 | cur
| Current position in hist.

## Detailed Description

Segmentation "iterator" for FSG history.

Definition at line 58 of file fsg_search_internal.h.

## Field Documentation

## base

ps_seg_t fsg_seg_s::base

Base structure.

Definition at line 59 of file fsg_search_internal.h.

## cur

int16 fsg_seg_s::cur

Current position in hist.

Definition at line 62 of file fsg_search_internal.h.

## hist

fsg_hist_entry_t** fsg_seg_s::hist

Sequence of history entries.

Definition at line 60 of file fsg_search_internal.h.

## n_hist

int16 fsg_seg_s::n_hist

Number of history entries.

Definition at line 61 of file fsg_search_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/fsg_search_internal.h